
#include "core/engine.hpp"
#include "graphics/shape.hpp"

#include "utils/load_file.hpp"

#include <utility>      // move
#include <iostream>     // cout



int main(int argc, char** argv)
{
    frog::fs::path path = argc > 0 ? argv[0] : "./unknown";

    try
    {
        auto global = std::make_unique<frog::state>();

        auto set = frog::settings{};
        set.clear_color = { 0.5, 0.6, 0.3 };
        set.window_name = "gaaaaaame";
        set.assign_path(path);

        auto engine = frog::engine{ std::move(set), std::move(global) };
        engine.play();
    }
    catch (std::exception& ex)
    {
        std::cerr << "ERROR: " << ex.what() << std::endl;
    }
    return 0;
}
